Table of Contents

## Name

XtGetSelectionRequest - retrieve the event that triggered the XtConvertSelectionProc

## Syntax

XSelectionRequestEvent* XtGetSelectionRequest(Widget w, Atom
  selection, XtRequestId request_id);

## Arguments

Specifies the widget.

Specifies the selection being processed.

Specifies the requestor id in the case of incremental selections, or NULL in the case of atomic transfers.

## Description

XtGetSelectionRequest may only be called from within an XtConvertSelectionProc procedure and returns a pointer to the SelectionRequest event that caused the conversion procedure to be invoked. Request_id specifies a unique id for the individual request in the case that multiple incremental transfers are outstanding. For atomic transfers, request_id must be specified as NULL. If no SelectionRequest event is being processed for the specified widget, selection, and request_id, XtGetSelectionRequest returns NULL.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also